package com.bonus.zlpt.company.service;

import com.bonus.zlpt.company.api.domain.ServiceGreementInfo;
import com.bonus.zlpt.company.api.domain.dto.ServiceDto;
import com.bonus.zlpt.company.api.domain.vo.ServiceGreementVo;

import java.util.List;

/**
 * 服务协议表(ServiceGreementInfo)表服务接口
 *
 * @author makejava
 * @since 2023-12-04 16:32:06
 */
public interface ServiceGreementInfoService {

    /**
     * 获取隐私协议模板列表
     * @param dto
     * @return
     */
    List<ServiceGreementVo> selectGreementInfoList(ServiceDto dto);

    /**
     * 根据id查询隐私协议模板信息
     * @param id
     * @return
     */
    ServiceGreementVo selectListById(int id);

    /**
     * 新增隐私协议模板信息
     * @param dto
     * @return
     */
    int insertConfig(ServiceGreementInfo dto);

    /**
     * 编辑隐私协议模板信息
     * @param dto
     */
    int update(ServiceGreementInfo dto);

    /**
     * 根据id删除隐私协议模板
     * @param id
     */
    void delete(int id);

}

